Supply Chain Integrity Transparency and Trust ledger application using Confidential Consortium Framework (CCF)
-
Updated
Oct 9, 2026 - Python
Supply Chain Integrity Transparency and Trust ledger application using Confidential Consortium Framework (CCF)
GitHub Action for a DataTrails Implementation of SCITT
A self-improving, verifiable memory layer for AI coding agents.
An open standard for verifiable execution provenance: a portable, third-party-verifiable record of what an agent did, in what order, and under what governance.
Worked examples of the observed_effect v0 evidence contract: a bounded, recomputable observed-effect record and an independent consumer.
One Receipt — one signed, content-free receipt per AI transaction that a stranger can verify offline, a person can challenge, and a regulator can inspect. Spec v0.2-draft, reference implementation, test vectors, coalition plan. AiGovOps Foundation incubation.
Moved to iTechSmartINC/prooflink-sdk
SCITT Transparency Service MVP for CSOAI measurement cards, implementing RFC 9943 (not conformance-tested). COSE_Sign1, Ed25519, RFC 9162 Merkle, offline receipt verification. MIT.
ProofLink SDK for Python and TypeScript: seal and verify cryptographic AI accountability receipts.
Verifiable compliance evidence: hash-chained ledgers, signed tip, hybrid Ed25519+ML-DSA-65, KMS custody, evidence packs, C2SP checkpoints + tlog-witness (split-view evidence, ML-DSA-44 cosignatures, real Rekor checkpoints verified), SCITT RFC 9943; verifiers in Python, JS, Go, Rust, Java + differential oracle. AGPL-3.0 / commercial.
Proof-of-concept demonstrating cryptographically verifiable AI generation refusals. This repository shows how unsafe or illegal generations can be proven to have never occurred, using hash chains, signatures, and auditable evidence packs.
Standards-focused public preview of Redtail, a Base L2 verification layer for physical-asset provenance.
Independent clean-room verifier for draft-fassbender-scitt-time-anchor-06
📦 Mirrors action-state-group/scitt-payload-binding into the CSOAI-ORG account for estate experiments; upstream licence applies — Canonical Payload Binding (CPB) — a SCITT payload-neutral binding profile: dedicated home for draft-mih-sokolov-scitt-payload-binding and its provisional registries..
Cryptographic evidence layer for agentic AI - Ed25519 signed step envelopes, transparency log, RFC 3161 anchoring. Open core.
Constitutional governor for AI agents — deterministic authorization, unforgeable capabilities, offline-verifiable evidence
Automatic SCITT TS registration for every Inspect GSPC eval run. RFC 9943 + COSE_Sign1 + Ed25519 + RFC 9162 Merkle. MIT.
To associate your repository with the scitt topic, visit your repo's landing page and select "manage topics."